mkcat(8)

NAME
mkcat - create a new GNATS category

SYNOPSIS

mkcat
    [ -d databasename | --database=databasename ]
    [ -h | --help ]

DESCRIPTION
Scans the database for any new categories, creating new subdirectories in the database directory if any are found.

This program is mostly obsolete since directories for categories are automatically created as necessary, but is left for histerical reasons.

mkcat should be run by the GNATS user (by default gnats).

OPTIONS

-d, --database
    Specifies the database to be scanned for new categories; if no database is specified, the database named default is assumed. This option overrides the database specified in the GNATSDB environment variable.

-h, --help
    Displays a short usage message.

ENVIRONMENT VARIABLES
The GNATSDB environment variable is used to determine which database to use. For a local database, it contains the name of the database to access. If GNATSDB is not set, the database named default is used.

SEE ALSO
Keeping Track: Managing Messages With GNATS (also installed as the GNU Info file gnats.info)

databases(5), dbconfig(5), delete-pr(8), edit-pr(1) file-pr(8), gen-index(8), gnats(7), gnatsd(8), mkcat(8), mkdb(8), pr-edit(8), query-pr(1), queue-pr(8), send-pr(1).

COPYING
Copyright (c) 1993, 1999, 2003, Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.